let IsSubmitKey = function () {
    return TouchInput.isTriggered() || Input.isPressed('control');
}
let Msg_WinX = 180; 
let Msg_WinY = 0; 
let Msg_WinPos_Reset = function () {
    Msg_WinX = 180;
    Msg_WinY = 0;
};
let Nupu_adjustWindowSettings = Window_Message.prototype.adjustWindowSettings;
Window_Message.prototype.adjustWindowSettings = function () {
    Nupu_adjustWindowSettings.call(this);
    this.x = Msg_WinX;
};
let Nupu_Msg_PosCng = Window_Message.prototype.updateBackground;
Window_Message.prototype.updateBackground = function () {
    Nupu_Msg_PosCng.call(this);
    this.y += 18;
    if (Msg_WinY != 0) {
        this.y += Msg_WinY;
    }
};
let _Scene_Map_update = Scene_Map.prototype.update;
Scene_Map.prototype.update = function () {
    this.updateTouchPictures();
    _Scene_Map_update.apply(this, arguments);
    if (GameResetFlame >= 0) {
        GameResetFlame -= 1;
        if (GameResetFlame == 0) {
            location.reload();
        }
    }
};
(function () {
    'use strict';
    let _Moji_Kankaku = 1.5; 
    let _Window_Base_processNormalCharacter = Window_Base.prototype.processNormalCharacter;
    Window_Base.prototype.processNormalCharacter = function (textState) {
        _Window_Base_processNormalCharacter.apply(this, arguments);
        textState.x += _Moji_Kankaku; 
    };
})();
